/*
 * Copyright (c) 2006-2009 OrangeSignal.com All rights reserved.
 * 
 * これは Apache ライセンス Version 2.0 (以下、このライセンスと記述) に
 * 従っています。このライセンスに準拠する場合以外、このファイルを使用
 * してはなりません。このライセンスのコピーは以下から入手できます。
 * 
 * http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * 適用可能な法律がある、あるいは文書によって明記されている場合を除き、
 * このライセンスの下で配布されているソフトウェアは、明示的であるか暗黙の
 * うちであるかを問わず、「保証やあらゆる種類の条件を含んでおらず」、
 * 「あるがまま」の状態で提供されるものとします。
 * このライセンスが適用される特定の許諾と制限については、このライセンス
 * を参照してください。
 */

package jp.sf.orangesignal.chart.axis;

import static org.hamcrest.core.Is.is;
import static org.junit.Assert.assertThat;

import org.junit.Test;

/**
 * {@link NumberTickUnit} クラスの単体テストです。
 * 
 * @author 杉澤 浩二
 */
public class NumberTickUnitTest {

	@Test
	public void testNumberTickUnitDouble() {
		new NumberTickUnit(30D);
	}

	@Test
	public void testGetSize() {
		final NumberTickUnit tickunit = new NumberTickUnit(30D);
		assertThat(tickunit.getSize(), is(30D));
	}

	@Test
	public void testValueToString() {
		assertThat(new NumberTickUnit(30D).valueToString(30000D), is("30,000"));
	}

	@Test
	public void testCompareTo() {
		final NumberTickUnit tickunit = new NumberTickUnit(30D);
		assertThat(tickunit.compareTo(new NumberTickUnit(30D)), is(0));
		assertThat(tickunit.compareTo(new NumberTickUnit(31D)), is(-1));
		assertThat(tickunit.compareTo(new NumberTickUnit(29D)), is(1));
	}

	@Test(expected = IllegalArgumentException.class)
	public void testCompareToIllegalArgumentException() {
		new NumberTickUnit(30D).compareTo(null);
	}

}
